# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.docs
Class PresentationEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<E>
                  com.google.gdata.data.media.MediaEntry<DocumentListEntry>
                      com.google.gdata.data.docs.DocumentListEntry
                          com.google.gdata.data.docs.PresentationEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor, IMediaEntry

    public class PresentationEntry

extends DocumentListEntry

An entry representing a single presentation within a `DocumentListFeed`.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.docs.DocumentListEntry
`DocumentListEntry.MediaType`

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static Category` `CATEGORY` Category used to label entries which are of document type.
`static java.lang.String` `KIND` Kind category term used to label the entries which are of document type.
`static java.lang.String` `LABEL` Label for category.

Fields inherited from class com.google.gdata.data.docs.DocumentListEntry
`FOLDERS_NAMESPACE, PARENT_NAMESPACE, REVISIONS_NAMESPACE, UNKNOWN_CATEGORY, UNKNOWN_KIND, UNKNOWN_LABEL`

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`PresentationEntry()` Constructs a new uninitialized entry, to be populated by the GData parsers.
`PresentationEntry(BaseEntry sourceEntry)` Constructs a new entry by doing a shallow copy from another BaseEntry instance.

Method Summary

Methods inherited from class com.google.gdata.data.docs.DocumentListEntry

`addFolder, declareExtensions, getAclFeed, getAclFeedLink, getDocId, getDocumentLink, getFolders, getKey, getLastModifiedBy, getLastViewed, getMimeTypeFromFileName, getParentLinks, getQuotaBytesUsed, getResourceId, getType, isHidden, isStarred, isTrashed, isViewed, isWritersCanInvite, setFile, setFile, setHidden, setLastModifiedBy, setLastViewed, setQuotaBytesUsed, setResourceId, setStarred, setTrashed, setViewed, setWritersCanInvite`

Methods inherited from class com.google.gdata.data.media.MediaEntry
`getContentHandlerInfo, getMediaEditLink, getMediaSource, setMediaSource, setService, updateMedia`

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.gdata.data.IEntry
`getCanEdit, getContent, getEdited, getEditLink, getPublished, getResumableEditMediaLink, getSelectedFields, getSummary, setCanEdit, setEdited, setPublished, setSelectedFields`

Methods inherited from interface com.google.gdata.data.IAtom
`addLink, getAuthors, getCategories, getEtag, getId, getKind, getLink, getLinks, getSelfLink, getTitle, getUpdated, getVersionId, removeLinks, removeLinks, setEtag, setId, setKind, setUpdated, setVersionId`

Field Detail

### LABEL

    public static final java.lang.String LABEL

  Label for category.

  See Also:
    Constant Field Values

### KIND

    public static final java.lang.String KIND

  Kind category term used to label the entries which are of document type.

  See Also:
    Constant Field Values

### CATEGORY

    public static final Category CATEGORY

  Category used to label entries which are of document type.

Constructor Detail

### PresentationEntry

    public PresentationEntry()

  Constructs a new uninitialized entry, to be populated by the GData parsers.

### PresentationEntry

    public PresentationEntry(BaseEntry sourceEntry)

  Constructs a new entry by doing a shallow copy from another BaseEntry instance.